package com.sun.corba.se.spi.resolver;

import com.sun.corba.se.impl.resolver.FileResolverImpl;
import java.io.File;
import com.sun.corba.se.impl.resolver.SplitLocalResolverImpl;
import com.sun.corba.se.impl.resolver.INSURLOperationImpl;
import com.sun.corba.se.impl.resolver.CompositeResolverImpl;
import com.sun.corba.se.impl.resolver.BootstrapResolverImpl;
import com.sun.corba.se.spi.orb.ORB;
import com.sun.corba.se.impl.resolver.ORBDefaultInitRefResolverImpl;
import com.sun.corba.se.impl.resolver.ORBInitRefResolverImpl;
import com.sun.corba.se.spi.orb.StringPair;
import com.sun.corba.se.spi.orb.Operation;
import com.sun.corba.se.impl.resolver.LocalResolverImpl;

public class ResolverDefault
{
    public ResolverDefault() {
    }
    
    public static LocalResolver makeLocalResolver() {
        return new LocalResolverImpl();
    }
    
    public static Resolver makeORBInitRefResolver(Operation operation, StringPair[] array) {
        return new ORBInitRefResolverImpl(operation, array);
    }
    
    public static Resolver makeORBDefaultInitRefResolver(Operation operation, String s) {
        return new ORBDefaultInitRefResolverImpl(operation, s);
    }
    
    public static Resolver makeBootstrapResolver(ORB orb, String s, int n) {
        return new BootstrapResolverImpl(orb, s, n);
    }
    
    public static Resolver makeCompositeResolver(Resolver resolver, Resolver resolver2) {
        return new CompositeResolverImpl(resolver, resolver2);
    }
    
    public static Operation makeINSURLOperation(ORB orb, Resolver resolver) {
        return new INSURLOperationImpl(orb, resolver);
    }
    
    public static LocalResolver makeSplitLocalResolver(Resolver resolver, LocalResolver localResolver) {
        return new SplitLocalResolverImpl(resolver, localResolver);
    }
    
    public static Resolver makeFileResolver(ORB orb, File file) {
        return new FileResolverImpl(orb, file);
    }
}
